
TYPO3.Flow - Feature # 7723

Status: Resolved Priority: Must have
Author: Karol Gusak Category: I18n
Created: 2010-05-09 Assigned To: Karol Gusak
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement message resources support (XLIFF, plural forms)
Description

Locale-dependent messages (texts) will be stored in XLIFF format. Because of that FLOW3 needs to be capable of reading messages
stored in this format, with support for plural forms.

Related issues:
related to TYPO3.Flow - Feature # 6724: Internationalization, locale, multi-l... Resolved

Associated revisions
Revision 7baee093 - 2010-07-10 13:06 - Karol Gusak

[+FEATURE] FLOW3 (Locale): Added support for XLIFF file format. Relates to #7723.
[+FEATURE] FLOW3 (Locale): Added TranslationProvider interface and concrete implementation using XLIFF. Relates to #7723.
[~TASK] FLOW3 (Locale): Changed class hierarchy for XML Models. Relates to #7722, #7723.
[~TASK] FLOW3 (Locale): Miscellaneous code cleaning.

History
#1 - 2010-07-02 14:07 - Karol Gusak
- Status changed from New to Accepted
- % Done changed from 0 to 30

Plural forms support was done in Revision r4399.

#2 - 2010-07-10 14:15 - Karol Gusak
- % Done changed from 30 to 80

Basic support for XLIFF file format is done.

#3 - 2010-08-10 18:13 - Karol Gusak
- Status changed from Accepted to Resolved
- % Done changed from 80 to 100

#4 - 2010-08-18 10:48 - Karsten Dambekalns
- Target version set to 1.0 alpha 11

2015-08-03 1/1


